Bug 301551 - networkmanager is no longer configuring wired interface when dhcp server becomes available
networkmanager is no longer configuring wired interface when dhcp server beco...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 01:58 EDT by cornel panceac
Modified: 2008-06-16 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2007-09-22 01:58:23 EDT
Description of problem:

if the client computer is started before the dhcp server, NetworkManager
assignes a default ip. however, when the dhcp server becomes available,
NetworkManager is no longer reconfiguring the interface.


Version-Release number of selected component (if applicable):
0.6.5-7

How reproducible:
always

Steps to Reproduce:
1.start client computer before the dhp server
2.start dhcp server
3.
  
Actual results:
NetworkManager is not reconfiguring the interface.

Expected results:
NetworkManager should detect the presence of dhcp server and reconfigure the
interface.

Additional info:

on strange thing, rpm -q shows that Both this version and an older version of
NetworkManager are installed. after rpm --erase <the older version>,
NetworkManager is still not working properly, and rpm -V returns no results.
Comment 1 Dan Williams 2007-09-25 00:16:08 EDT
I don't think the desired behavior was ever intended... if the wired device has
a link, NM will try to activate it.  If there isn't a DHCP server around, the
activation will fail until the user manually re-activates the device.  NM won't
try to periodically re-activate the link hoping that a DHCP server is there. 
I'm pretty sure the normal networking scripts (ifup, etc) don't periodically
look for a DHCP server either; they just fail.

So is this basically a feature request/enhancement to have NM periodically try
to activate a device that is supposed to use DHCP but has has failed to find a
DHCP server?
Comment 2 cornel panceac 2007-09-25 13:27:59 EDT
well, i'm almost sure that one version between 0.6.5-2 and 0.6.5-7 (probably
0.6.5-6) did this (a-la windows). unfortunately, in updates i can not find the
versions older than current. (wich is a problem by itself, goodbye using fedora
as a server, since if an updated version of an app is broken, there's no turning
back.)
i've checked 0.6.5-2 and is not doing it. so, if it helps, let's call it a
feature request :)
thnx
Comment 3 cornel panceac 2007-09-25 13:33:29 EDT
hmm, maybe something else happened: at dhcp-host reboot, it sensed the
disconnected interface, then when the connection was available, the timeout was
big enough for the dhcp server to start and provide info....
Comment 4 Bug Zapper 2008-05-14 10:26:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:27:17 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.